{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to create a new branded link.**\n\nTo create the link branding, supply the root domain and, optionally, the subdomain — these go into separate fields in your request body. The root domain should match your FROM email address. If you provide a  subdomain, it must be different from the subdomain you used for authenticating your domain.\n\nYou can submit this request as one of your subusers if you include their ID in the `on-behalf-of` header in the request.","properties":{"headers":{"type":"object","properties":{"on-behalf-of":{"type":"string","description":"The `on-behalf-of` header allows you to make API calls from a parent account on behalf of the parent's Subusers or customer accounts. You will use the parent account's API key when using this header. When making a call on behalf of a customer account, the property value should be \"account-id\" followed by the customer account's ID (e.g., `on-behalf-of: account-id <account-id>`). When making a call on behalf of a Subuser, the property value should be the Subuser's username (e.g., `on-behalf-of: <subuser-username>`). See [**On Behalf Of**](https://docs.sendgrid.com/api-reference/how-to-use-the-sendgrid-v3-api/on-behalf-of) for more information."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"domain":{"type":"string","description":"The root domain for the subdomain that you are creating the link branding for. This should match your FROM email address."},"subdomain":{"type":"string","description":"The subdomain to create the link branding for. Must be different from the subdomain you used for authenticating your domain."},"default":{"allOf":[{"$ref":"#/definitions/Default"},{"type":"boolean"}]},"region":{"allOf":[{"$ref":"#/definitions/Region"},{"type":"string","default":"us"}]}},"required":["domain"],"examples":[{"domain":"example.com","subdomain":"mail","default":true}]}},"required":[],"additionalProperties":false,"definitions":{"Default":{"type":"boolean","enum":[true,false]},"Region":{"type":"string","enum":["eu","us"]}}},"name":"Create a branded link","id":"sendgrid.link_branding.createbrandedlink","example":{},"maxRequests":1,"summary":false}}